Renew Subscription
Renew a subscription for the next billing cycle.
Creates a new invoice for the next billing cycle and advances subscription periods.
Works for both User and API Key authentication. Account access is automatically validated via endpoint dependency.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
subscription_id
account_id
Headers
Idempotency-Key
A unique key for this request. A retry with the same key returns the first response instead of running again, for 24 hours. Keys are per caller.
Response
Successful Response
subscription_id
invoice_id
Errors
422
Unprocessable Entity Error